SUSE: 2022:3309-1 moderate: wireshark | LinuxSecurity.com

   SUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3309-1
Rating:             moderate
References:         #1194165 #1203388 
Cross-References:   CVE-2021-4186 CVE-2022-3190
CVSS scores:
                    CVE-2021-4186 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-4186 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2022-3190 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-3190 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Basesystem 15-SP3
                    SUSE Linux Enterprise Module for Basesystem 15-SP4
                    SUSE Linux Enterprise Module for Desktop Applications 15-SP3
                    SUSE Linux Enterprise Module for Desktop Applications 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Linux Enterprise Storage 7.1
                    SUSE Manager Proxy 4.2
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.2
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for wireshark fixes the following issues:

   Updated to Wireshark 3.6.8:
   - CVE-2022-3190: Fixed F5 Ethernet Trailer dissector infinite loop
     (bsc#1203388).
   - CVE-2021-4186: Fixed Gryphon dissector crash (bsc#1194165).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-3309=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-3309=1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP4-2022-3309=1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-3309=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-3309=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-3309=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libwireshark15-3.6.8-150000.3.74.1
      libwireshark15-debuginfo-3.6.8-150000.3.74.1
      libwiretap12-3.6.8-150000.3.74.1
      libwiretap12-debuginfo-3.6.8-150000.3.74.1
      libwsutil13-3.6.8-150000.3.74.1
      libwsutil13-debuginfo-3.6.8-150000.3.74.1
      wireshark-3.6.8-150000.3.74.1
      wireshark-debuginfo-3.6.8-150000.3.74.1
      wireshark-debugsource-3.6.8-150000.3.74.1
      wireshark-devel-3.6.8-150000.3.74.1
      wireshark-ui-qt-3.6.8-150000.3.74.1
      wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libwireshark15-3.6.8-150000.3.74.1
      libwireshark15-debuginfo-3.6.8-150000.3.74.1
      libwiretap12-3.6.8-150000.3.74.1
      libwiretap12-debuginfo-3.6.8-150000.3.74.1
      libwsutil13-3.6.8-150000.3.74.1
      libwsutil13-debuginfo-3.6.8-150000.3.74.1
      wireshark-3.6.8-150000.3.74.1
      wireshark-debuginfo-3.6.8-150000.3.74.1
      wireshark-debugsource-3.6.8-150000.3.74.1
      wireshark-devel-3.6.8-150000.3.74.1
      wireshark-ui-qt-3.6.8-150000.3.74.1
      wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (aarch64 ppc64le s390x x86_64):

      wireshark-debuginfo-3.6.8-150000.3.74.1
      wireshark-debugsource-3.6.8-150000.3.74.1
      wireshark-devel-3.6.8-150000.3.74.1
      wireshark-ui-qt-3.6.8-150000.3.74.1
      wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (aarch64 ppc64le s390x x86_64):

      wireshark-debuginfo-3.6.8-150000.3.74.1
      wireshark-debugsource-3.6.8-150000.3.74.1
      wireshark-devel-3.6.8-150000.3.74.1
      wireshark-ui-qt-3.6.8-150000.3.74.1
      wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64):

      libwireshark15-3.6.8-150000.3.74.1
      libwireshark15-debuginfo-3.6.8-150000.3.74.1
      libwiretap12-3.6.8-150000.3.74.1
      libwiretap12-debuginfo-3.6.8-150000.3.74.1
      libwsutil13-3.6.8-150000.3.74.1
      libwsutil13-debuginfo-3.6.8-150000.3.74.1
      wireshark-3.6.8-150000.3.74.1
      wireshark-debuginfo-3.6.8-150000.3.74.1
      wireshark-debugsource-3.6.8-150000.3.74.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3 (aarch64 ppc64le s390x x86_64):

      libwireshark15-3.6.8-150000.3.74.1
      libwireshark15-debuginfo-3.6.8-150000.3.74.1
      libwiretap12-3.6.8-150000.3.74.1
      libwiretap12-debuginfo-3.6.8-150000.3.74.1
      libwsutil13-3.6.8-150000.3.74.1
      libwsutil13-debuginfo-3.6.8-150000.3.74.1
      wireshark-3.6.8-150000.3.74.1
      wireshark-debuginfo-3.6.8-150000.3.74.1
      wireshark-debugsource-3.6.8-150000.3.74.1


References:

   https://www.suse.com/security/cve/CVE-2021-4186.html
   https://www.suse.com/security/cve/CVE-2022-3190.html
   https://bugzilla.suse.com/1194165
   https://bugzilla.suse.com/1203388

SUSE: 2022:3309-1 moderate: wireshark

September 19, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for wireshark fixes the following issues: Updated to Wireshark 3.6.8: - CVE-2022-3190: Fixed F5 Ethernet Trailer dissector infinite loop (bsc#1203388). - CVE-2021-4186: Fixed Gryphon dissector crash (bsc#1194165). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-3309=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-3309=1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP4: zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP4-2022-3309=1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3: zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-3309=1 - SUSE Linux Enterprise Module for Basesystem 15-SP4: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-3309=1 - SUSE Linux Enterprise Module for Basesystem 15-SP3: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-3309=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): libwireshark15-3.6.8-150000.3.74.1 libwireshark15-debuginfo-3.6.8-150000.3.74.1 libwiretap12-3.6.8-150000.3.74.1 libwiretap12-debuginfo-3.6.8-150000.3.74.1 libwsutil13-3.6.8-150000.3.74.1 libwsutil13-debuginfo-3.6.8-150000.3.74.1 wireshark-3.6.8-150000.3.74.1 wireshark-debuginfo-3.6.8-150000.3.74.1 wireshark-debugsource-3.6.8-150000.3.74.1 wireshark-devel-3.6.8-150000.3.74.1 wireshark-ui-qt-3.6.8-150000.3.74.1 wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libwireshark15-3.6.8-150000.3.74.1 libwireshark15-debuginfo-3.6.8-150000.3.74.1 libwiretap12-3.6.8-150000.3.74.1 libwiretap12-debuginfo-3.6.8-150000.3.74.1 libwsutil13-3.6.8-150000.3.74.1 libwsutil13-debuginfo-3.6.8-150000.3.74.1 wireshark-3.6.8-150000.3.74.1 wireshark-debuginfo-3.6.8-150000.3.74.1 wireshark-debugsource-3.6.8-150000.3.74.1 wireshark-devel-3.6.8-150000.3.74.1 wireshark-ui-qt-3.6.8-150000.3.74.1 wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (aarch64 ppc64le s390x x86_64): wireshark-debuginfo-3.6.8-150000.3.74.1 wireshark-debugsource-3.6.8-150000.3.74.1 wireshark-devel-3.6.8-150000.3.74.1 wireshark-ui-qt-3.6.8-150000.3.74.1 wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (aarch64 ppc64le s390x x86_64): wireshark-debuginfo-3.6.8-150000.3.74.1 wireshark-debugsource-3.6.8-150000.3.74.1 wireshark-devel-3.6.8-150000.3.74.1 wireshark-ui-qt-3.6.8-150000.3.74.1 wireshark-ui-qt-debuginfo-3.6.8-150000.3.74.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64): libwireshark15-3.6.8-150000.3.74.1 libwireshark15-debuginfo-3.6.8-150000.3.74.1 libwiretap12-3.6.8-150000.3.74.1 libwiretap12-debuginfo-3.6.8-150000.3.74.1 libwsutil13-3.6.8-150000.3.74.1 libwsutil13-debuginfo-3.6.8-150000.3.74.1 wireshark-3.6.8-150000.3.74.1 wireshark-debuginfo-3.6.8-150000.3.74.1 wireshark-debugsource-3.6.8-150000.3.74.1 - SUSE Linux Enterprise Module for Basesystem 15-SP3 (aarch64 ppc64le s390x x86_64): libwireshark15-3.6.8-150000.3.74.1 libwireshark15-debuginfo-3.6.8-150000.3.74.1 libwiretap12-3.6.8-150000.3.74.1 libwiretap12-debuginfo-3.6.8-150000.3.74.1 libwsutil13-3.6.8-150000.3.74.1 libwsutil13-debuginfo-3.6.8-150000.3.74.1 wireshark-3.6.8-150000.3.74.1 wireshark-debuginfo-3.6.8-150000.3.74.1 wireshark-debugsource-3.6.8-150000.3.74.1

References

#1194165 #1203388

Cross- CVE-2021-4186 CVE-2022-3190

CVSS scores:

CVE-2021-4186 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2021-4186 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

CVE-2022-3190 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-3190 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Basesystem 15-SP3

SUSE Linux Enterprise Module for Basesystem 15-SP4

SUSE Linux Enterprise Module for Desktop Applications 15-SP3

SUSE Linux Enterprise Module for Desktop Applications 15-SP4

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Linux Enterprise Storage 7.1

SUSE Manager Proxy 4.2

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.2

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.2

SUSE Manager Server 4.3

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2021-4186.html

https://www.suse.com/security/cve/CVE-2022-3190.html

https://bugzilla.suse.com/1194165

https://bugzilla.suse.com/1203388

Severity
Announcement ID: SUSE-SU-2022:3309-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.